Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataArraySelection Class Reference

`#include <vtkDataArraySelection.h>`

Inheritance diagram for vtkDataArraySelection:

[legend]
Collaboration diagram for vtkDataArraySelection:

[legend]
List of all members.

## Detailed Description

Store on/off settings for data arrays for a vtkSource.

Date:
  2003/01/08 13:20:16

Revision:
  1.6

vtkDataArraySelection can be used by vtkSource subclasses to store on/off settings for whether each vtkDataArray in its input should be passed in the source's output. This is primarily intended to allow file readers to configure what data arrays are read from the file.

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (87%)
  - Cedilnik, Andy (8%)

CVS logs (CVSweb):
  - .`h` (`/Common/vtkDataArraySelection.h)`
  - .`cxx` (`/Common/vtkDataArraySelection.cxx)`

Definition at line 48 of file vtkDataArraySelection.h.

## Public Types
typedef vtkObject | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | EnableArray (const char *name)
void | DisableArray (const char *name)
int | ArrayIsEnabled (const char *name)
int | ArrayExists (const char *name)
void | EnableAllArrays ()
void | DisableAllArrays ()
int | GetNumberOfArrays ()
const char * | GetArrayName (int index)
int | GetArraySetting (int index)
void | RemoveAllArrays ()
int | AddArray (const char *name)
void | CopySelections (vtkDataArraySelection *selections)
void | SetArrays (const char *const *names, int numArrays)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkDataArraySelection * | SafeDownCast (vtkObject *o)
vtkDataArraySelection * | New ()
## Protected Methods
| vtkDataArraySelection ()
| ~vtkDataArraySelection ()
## Protected Attributes
vtkDataArraySelectionArrayNamesType * | ArrayNames
vtkDataArraySelectionArraySettingsType * | ArraySettings

## Member Typedef Documentation

typedef vtkObject vtkDataArraySelection::Superclass

| Reimplemented from vtkObject. Definition at line 51 of file vtkDataArraySelection.h.

## Constructor & Destructor Documentation

vtkDataArraySelection::vtkDataArraySelection | ( |  | ) | `[protected]`

vtkDataArraySelection::~vtkDataArraySelection | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkDataArraySelection::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkObject.

int vtkDataArraySelection::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

virtual int vtkDataArraySelection::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkObject.

vtkDataArraySelection* vtkDataArraySelection::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkObject.

void vtkDataArraySelection::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkObject.

vtkDataArraySelection* vtkDataArraySelection::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkDataArraySelection::EnableArray | ( | const char * | name | ) |

| Enable the array with the given name. Creates a new entry if none exists.

void vtkDataArraySelection::DisableArray | ( | const char * | name | ) |

| Disable the array with the given name. Creates a new entry if none exists.

int vtkDataArraySelection::ArrayIsEnabled | ( | const char * | name | ) |

| Return whether the array with the given name is enabled. If there is no entry, the array is assumed to be disabled.

int vtkDataArraySelection::ArrayExists | ( | const char * | name | ) |

| Return whether the array with the given name exists.

void vtkDataArraySelection::EnableAllArrays | ( |  | ) |

| Enable all arrays that currently have an entry.

void vtkDataArraySelection::DisableAllArrays | ( |  | ) |

| Disable all arrays that currently have an entry.

int vtkDataArraySelection::GetNumberOfArrays | ( |  | ) |

| Get the number of arrays that currently have an entry.

const char* vtkDataArraySelection::GetArrayName | ( | int | index | ) |

| Get the name of the array entry at the given index.

int vtkDataArraySelection::GetArraySetting | ( | int | index | ) |

| Get whether the array at the given index is enabled.

void vtkDataArraySelection::RemoveAllArrays | ( |  | ) |

| Remove all array entries.

int vtkDataArraySelection::AddArray | ( | const char * | name | ) |

| Add to the list of arrays that have entries. For arrays that already have entries, the settings are untouched. For arrays that don't already have an entry, they are assumed to be enabled. This method should be called only by the filter owning this object.

void vtkDataArraySelection::SetArrays | ( | const char *const * | names,
|  | int | numArrays
| ) |

| Set the list of arrays that have entries. For arrays that already have entries, the settings are copied. For arrays that don't already have an entry, they are assumed to be enabled. There will be no more entries than the names given. This method should be called only by the filter owning this object.

void vtkDataArraySelection::CopySelections | ( | vtkDataArraySelection * | selections | ) |

| Copy the selections from the given vtkDataArraySelection instance.

## Member Data Documentation

vtkDataArraySelectionArrayNamesType* vtkDataArraySelection::ArrayNames`[protected]`

| Definition at line 112 of file vtkDataArraySelection.h.

vtkDataArraySelectionArraySettingsType* vtkDataArraySelection::ArraySettings`[protected]`

| Definition at line 115 of file vtkDataArraySelection.h.

The documentation for this class was generated from the following file:

- Common/vtkDataArraySelection.h